/*
 * KK_OTA.h
 *
 *  Created on: Dec 27, 2018
 *      Author: sds
 */

#ifndef KK_OTA_H_
#define KK_OTA_H_
#include <string>

using namespace std;

class KK_OTA{
public:
	static KK_OTA* GetInstance();
	static void* run0(void* opt);

	bool init(string url);
private:

	int run(void* opt);
	
	bool taskInRunning;
	string target_version_url;
private:
	KK_OTA();
private:
	static KK_OTA* ms_pInstance;
};



#endif /* KK_OTA_H_ */
